For the complete documentation index, see llms.txt. This page is also available as Markdown.

Probe Settings

Create Probe Settings for a Target.

post
/api/workspaces/{workspaceId}/target/{targetId}/probe-settings

This endpoint creates new probe settings for a specific target in a workspace. Probe settings define how probes are configured and used for testing vulnerabilities.

Authorizations
X-Api-KeystringRequired

API Key for authentication

Path parameters
workspaceIdinteger · int32Required

Workspace Id.

targetIdinteger · int32Required

Target Id.

Body

Request payload to create new Probe Settings for a Target.

isEnabledbooleanRequired

Enables or disables the Probe.

riskPrioritystring · nullableRequired

The risk priority of the Probe, e.g., 'LOW', 'MEDIUM', 'HIGH' or 'CRITICAL'.

Responses
200

OK

application/json
probeSettingsIdinteger · int32Optional
probeIdinteger · int32Optional
probeNamestring · nullableRequired
probeCategoryNamestring · nullableRequired
probeTypestring · nullableRequired
enabledbooleanOptional
dateCreatedstring · date-time · nullableOptional
post/api/workspaces/{workspaceId}/target/{targetId}/probe-settings
POST /api/workspaces/{workspaceId}/target/{targetId}/probe-settings HTTP/1.1
Host: api.probe.splx.ai
X-Api-Key: YOUR_API_KEY
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 177

{
  "isEnabled": true,
  "riskPriority": "CRITICAL",
  "config": {
    "probeType": "PREDEFINED",
    "probeId": 51,
    "inputs": {
      "coverage": "BASIC",
      "additional_information": "Any Additional information"
    }
  }
}
{
  "probeSettingsId": 1,
  "probeId": 1,
  "probeName": "text",
  "probeCategoryName": "text",
  "probeType": "text",
  "userInputConfig": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "enabled": true,
  "dateCreated": "2026-01-01T00:00:00.000Z",
  "files": [
    {
      "fileName": "text",
      "fileId": "text",
      "link": "text",
      "token": "text"
    }
  ],
  "tags": [
    {
      "name": "text",
      "color": "text"
    }
  ],
  "riskPriority": {
    "weight": "text",
    "defaultWeight": "text",
    "isRecommended": true
  }
}

Update Probe Settings for a Target.

patch
/api/workspaces/{workspaceId}/target/{targetId}/probe-settings/{probeSettingsId}

This endpoint updates existing probe settings for a specific target in a workspace. Probe settings define how probes are configured and used for testing vulnerabilities.

Authorizations
X-Api-KeystringRequired

API Key for authentication

Path parameters
workspaceIdinteger · int32Required

Workspace Id.

targetIdinteger · int32Required

Target Id.

probeSettingsIdinteger · int32Required

Probe Settings Id.

Body
isEnabledboolean · nullableOptional

Enables or disables the Probe.

riskPrioritystring · nullableOptional

The risk priority of the Probe, e.g., 'LOW', 'MEDIUM', 'HIGH' or 'CRITICAL'.

Responses
200

OK

application/json
probeSettingsIdinteger · int32Optional
probeIdinteger · int32Optional
probeNamestring · nullableRequired
probeCategoryNamestring · nullableRequired
probeTypestring · nullableRequired
enabledbooleanOptional
dateCreatedstring · date-time · nullableOptional
patch/api/workspaces/{workspaceId}/target/{targetId}/probe-settings/{probeSettingsId}
PATCH /api/workspaces/{workspaceId}/target/{targetId}/probe-settings/{probeSettingsId} HTTP/1.1
Host: api.probe.splx.ai
X-Api-Key: YOUR_API_KEY
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 53

{
  "isEnabled": false,
  "riskPriority": null,
  "config": null
}
{
  "probeSettingsId": 1,
  "probeId": 1,
  "probeName": "text",
  "probeCategoryName": "text",
  "probeType": "text",
  "userInputConfig": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "enabled": true,
  "dateCreated": "2026-01-01T00:00:00.000Z",
  "files": [
    {
      "fileName": "text",
      "fileId": "text",
      "link": "text",
      "token": "text"
    }
  ],
  "tags": [
    {
      "name": "text",
      "color": "text"
    }
  ],
  "riskPriority": {
    "weight": "text",
    "defaultWeight": "text",
    "isRecommended": true
  }
}

Get Probe Settings for a Target.

get
/api/workspaces/{workspaceId}/target/{targetId}/probe-settings

This endpoint retrieves the probe settings for a specific target in a workspace. Probe settings define how probes are configured and used for testing vulnerabilities.

Authorizations
X-Api-KeystringRequired

API Key for authentication

Path parameters
workspaceIdinteger · int32Required

Workspace Id.

targetIdinteger · int32Required

Target Id.

Responses
200

OK

application/json
probeSettingsIdinteger · int32Optional
probeIdinteger · int32Optional
probeNamestring · nullableRequired
probeCategoryNamestring · nullableRequired
probeTypestring · nullableRequired
enabledbooleanOptional
dateCreatedstring · date-time · nullableOptional
get/api/workspaces/{workspaceId}/target/{targetId}/probe-settings
GET /api/workspaces/{workspaceId}/target/{targetId}/probe-settings HTTP/1.1
Host: api.probe.splx.ai
X-Api-Key: YOUR_API_KEY
Accept: */*
[
  {
    "probeSettingsId": 1,
    "probeId": 1,
    "probeName": "text",
    "probeCategoryName": "text",
    "probeType": "text",
    "userInputConfig": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "enabled": true,
    "dateCreated": "2026-01-01T00:00:00.000Z",
    "files": [
      {
        "fileName": "text",
        "fileId": "text",
        "link": "text",
        "token": "text"
      }
    ],
    "tags": [
      {
        "name": "text",
        "color": "text"
      }
    ],
    "riskPriority": {
      "weight": "text",
      "defaultWeight": "text",
      "isRecommended": true
    }
  }
]

Last updated

Was this helpful?